<html>
<head>
<title>OGRE: Ogre::ManualResourceLoader Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a></div>
<h1>Ogre::ManualResourceLoader Class Reference</h1><!-- doxytag: class="Ogre::ManualResourceLoader" -->Interface describing a manual resource loader.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreResource_8h-source.html">OgreResource.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ManualResourceLoader:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ManualResourceLoader-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ManualResourceLoader.html#52b91457400f54642fd3c9e0182905f5">ManualResourceLoader</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ManualResourceLoader.html#64c9f1f9f2817de97321412c59fabb5a">~ManualResourceLoader</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ManualResourceLoader.html#e04795ab21e4a46709beb6d521a75c53">loadResource</a> (<a class="el" href="classOgre_1_1Resource.html">Resource</a> *resource)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a resource wishes to load.  <a href="#e04795ab21e4a46709beb6d521a75c53"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Interface describing a manual resource loader. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Resources are usually loaded from files; however in some cases you want to be able to set the data up manually instead. This provides some problems, such as how to reload a <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> if it becomes unloaded for some reason, either because of memory constraints, or because a device fails and some or all of the data is lost. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This interface should be implemented by all classes which wish to provide manual data to a resource. They provide a pointer to themselves when defining the resource (via the appropriate <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a>), and will be called when the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> tries to load. They should implement the loadResource method such that the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> is in the end set up exactly as if it had loaded from a file, although the implementations will likely differ between subclasses of <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a>, which is why no generic algorithm can be stated here. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>The loader must remain valid for the entire life of the resource, so that if need be it can be called upon to re-load the resource at any time. </dd></dl>

<p>Definition at line <a class="el" href="OgreResource_8h-source.html#l00412">412</a> of file <a class="el" href="OgreResource_8h-source.html">OgreResource.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="52b91457400f54642fd3c9e0182905f5"></a><!-- doxytag: member="Ogre::ManualResourceLoader::ManualResourceLoader" ref="52b91457400f54642fd3c9e0182905f5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ManualResourceLoader::ManualResourceLoader           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResource_8h-source.html#l00415">415</a> of file <a class="el" href="OgreResource_8h-source.html">OgreResource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="64c9f1f9f2817de97321412c59fabb5a"></a><!-- doxytag: member="Ogre::ManualResourceLoader::~ManualResourceLoader" ref="64c9f1f9f2817de97321412c59fabb5a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ManualResourceLoader::~ManualResourceLoader           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResource_8h-source.html#l00416">416</a> of file <a class="el" href="OgreResource_8h-source.html">OgreResource.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e04795ab21e4a46709beb6d521a75c53"></a><!-- doxytag: member="Ogre::ManualResourceLoader::loadResource" ref="e04795ab21e4a46709beb6d521a75c53" args="(Resource *resource)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ManualResourceLoader::loadResource           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Resource.html">Resource</a> *&nbsp;</td>
          <td class="paramname"> <em>resource</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a resource wishes to load. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>resource</em>&nbsp;</td><td>The resource which wishes to load </td></tr>
  </table>
</dl>

<p>Implemented in <a class="el" href="classOgre_1_1Font.html#d9fb35dcaf249ea1d86a3fe849422e2d">Ogre::Font</a>, and <a class="el" href="classOgre_1_1MeshManager.html#b9db84516cdc6a681c3c491b259c35cd">Ogre::MeshManager</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreResource_8h-source.html">OgreResource.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:28 2008
</p>
</body>
</html>
